| CRM64Pro GDK v0.16.0 A free cross-platform game development kit built on top of SDL 3.0

Loading...
Searching...
No Matches
CRM64Pro::AudioTrackMgr
Audio module » AudioTrack

Audio Track Manager class. More...

## Detailed Description

Audio Track Manager class.

## Public Member Functions
bool | info (Sint32 iMode=0) override
| Request AudioTrack Manager information.
Sint32 | getCount () const override
| Get number of loaded objects.
AudioTrack * | get (Sint32 idAudio=0)
| Get a pointer to the AudioTrack using its handler.
bool | close (Sint32 idAudio=0) override
| Close and destroy an AudioTrack.
Sint32 | setName (Sint32 idAudio, const string &sName) override
| Change the object name.
bool | stopAll ()
| Immediately stop all active audio tracks.
bool | fadeOutAll (Sint32 iTimeMS=1000)
| Fade out all active audio tracks to silence, then stop.
bool | pauseAll ()
| Pause all active audio tracks.
bool | resumeAll ()
| Resume all paused audio tracks.
bool | stopTag (eAudioTrackTag eTag)
| Stop all tracks of a specific audio track tag category.
bool | fadeOutTag (eAudioTrackTag eTag, Sint32 iTimeMS=1000)
| Fade out all tracks of a specific audio track tag category.
bool | pauseTag (eAudioTrackTag eTag)
| Pause all tracks of a specific audio track tag category.
bool | resumeTag (eAudioTrackTag eTag)
| Resume all tracks of a specific audio track tag category.
bool | setKeepSourceData (bool bKeep)
| Set the global policy for keeping raw source data in memory.
bool | getKeepSourceData () const
| Get the current policy for keeping raw source data.
Sint32 | loadFromFile (const string &sFile, const string &sName="", eAudioTrackTag eTag=ATT_SFX, eAudioLoadMode eMode=ALM_AUTO, Sint32 iUnique=0)
| Load an AudioTrack from an external file.
Sint32 | load (const string &sCDCFile, const string &sName, Sint32 iUnique=0)
| Load an AudioTrack from a CDC file (by file name).
Sint32 | load (const Sint32 idCDC, const string &sName, Sint32 iUnique=0)
| Load an AudioTrack from a CDC file (by ID).
Sint32 | loadFromBuffer (const void *pBuffer, Sint32 iSize, const string &sName, const string &sFormat, eAudioTrackTag eTag=ATT_SFX)
| Load an AudioTrack from a raw memory buffer.
Sint32 | remove (Sint32 idCDC, const string &sName)
| Remove an AudioTrack stored in a CDC file.
bool | exist (Sint32 idCDC, const string &sName)
| Check if an AudioTrack is stored in a CDC file.
bool | exist (const string &sCDCFile, const string &sName)
| Check if an AudioTrack is stored in a CDC file.